Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.manage.jmx.mx4j.util
Class Utils

    java.lang.Object
      |
      +--com.solarmetric.manage.jmx.mx4j.util.Utils

public class Utils
extends Object

Several utility functions for the JMX implementation

Version:
  $Revision: 1.1.2.1 $

Constructor Summary
`Utils()`

Method Summary
`static char[]` | `arrayCopy(char[] chars)`
`static boolean` | `arrayEquals(byte[] arr1, byte[] arr2)`
`static boolean` | `arrayEquals(Object[] arr1, Object[] arr2)`
`static int` | `arrayHashCode(byte[] arr)`
`static int` | `arrayHashCode(Object[] arr)`
`static String` | `createPermissionTargetName(String className, String member, javax.management.ObjectName name)`
`static boolean` | `impliesObjectName(javax.management.ObjectName name1, javax.management.ObjectName name2)`
`static boolean` | `isAttributeGetter(Method m)` Returns true is the given method is a JMX attribute getter method
`static boolean` | `isAttributeSetter(Method m)` Returns true if the method is a JMX attribute setter method
`static Class` | `loadClass(ClassLoader loader, String name)` This methods load a class given the classloader and the name of the class, and work for extended names of primitive types.
`static Class[]` | `loadClasses(ClassLoader loader, String[] names)` Returns the classes whose names are specified by the `names` argument, loaded with the specified classloader.
`static boolean` | `wildcardMatch(String pattern, String string)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Utils

    public Utils()

Method Detail

### loadClass

    public static Class loadClass(ClassLoader loader,
                                  String name)
                           throws ClassNotFoundException

  This methods load a class given the classloader and the name of the class, and work for extended names of primitive types.

  If you try to do ClassLoader.loadClass("boolean") it barfs it cannot find the class, so this method cope with this problem.

### loadClasses

    public static Class[] loadClasses(ClassLoader loader,
                                      String[] names)
                               throws ClassNotFoundException

  Returns the classes whose names are specified by the `names` argument, loaded with the specified classloader.

### isAttributeGetter

    public static boolean isAttributeGetter(Method m)

  Returns true is the given method is a JMX attribute getter method

### isAttributeSetter

    public static boolean isAttributeSetter(Method m)

  Returns true if the method is a JMX attribute setter method

### wildcardMatch

    public static boolean wildcardMatch(String pattern,
                                        String string)

### arrayEquals

    public static boolean arrayEquals(Object[] arr1,
                                      Object[] arr2)

### arrayEquals

    public static boolean arrayEquals(byte[] arr1,
                                      byte[] arr2)

### arrayHashCode

    public static int arrayHashCode(Object[] arr)

### arrayHashCode

    public static int arrayHashCode(byte[] arr)

### arrayCopy

    public static char[] arrayCopy(char[] chars)

### impliesObjectName

    public static boolean impliesObjectName(javax.management.ObjectName name1,
                                            javax.management.ObjectName name2)

### createPermissionTargetName

    public static String createPermissionTargetName(String className,
                                                    String member,
                                                    javax.management.ObjectName name)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.